Skip to main content
`Ctrl`+`K`

# PetscOptionsClearValue

Clears an option name-value pair in the options database, overriding whatever is already present.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsClearValue(PetscOptions options, const char name[])

Logically Collective

## Input Parameters

- options - options database, use `NULL` for the default global database

- name - name of option, this SHOULD have the - prepended

## Note

The collectivity of this routine is complex; only the MPI processes that call this routine will have the affect of these options. If some processes that create objects call this routine and others do not the code may fail in complicated ways because the same parallel solvers may incorrectly use different options on different ranks.

## Developer Note

Uses `free()` directly because the options have been set with `malloc()`

## See Also

`PetscOptionsInsert()`

## Level

intermediate

## Location

src/sys/objects/options.c

## Examples

src/ts/utils/dmplexlandau/tutorials/ex2.c
src/ksp/ksp/tutorials/ex84.c
src/ksp/ksp/tutorials/ex76f.F90
src/ksp/ksp/tutorials/ex76.c
src/ts/utils/dmplexlandau/tutorials/ex1.c
src/ksp/ksp/tutorials/ex87.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages